/*
Theme Name:     Stichting DST
Theme URI:      
Description:    Make-some-waves child theme.
Author:         0117 Web Wizards
Author URI:     https://www.0117.nl
Template:       make-some-waves
Version:        0.1.0
*/



* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html{
	background-color: var(--wp--preset--color--dark-100);
}

.wp-block-post h3.wp-block-post-title{
	line-height: 1.2;
}

.break {
    word-break: break-word;
    hyphens: auto;
    hyphenate-limit-chars: 10 5 4;
}

/* Home heading translation fix */
h1 font font{
	padding-right: 8px;
}

.splide__slide img{
	object-fit: contain;
}

/* profile/login links */
.wp-block-navigation-item.profile-link{
	display: none;
}

body.logged-in .wp-block-navigation-item.profile-link{
	display: inline-block;
}
body.logged-in .wp-block-navigation-item.login-link{
	display: none;
}

/* Keycloak login button */
div.openid-connect-login-button a.button{
    background-color: none;
    border-radius: var(--wp--custom--border--radius--small);
    border-color: var(--wp--preset--color--primary-200);
    border-width: 3px;
    border-style: solid;
    color: var(--wp--preset--color--primary-200);
    font-family: inherit;
    font-size: var(--wp--preset--font-size--medium);
    font-weight: var(--wp--custom--font-weight--medium);
    line-height: inherit;
    padding-top: .6rem;
    padding-right: 1.2rem;
    padding-bottom: .6rem;
    padding-left: 1.2rem;
    text-decoration: none;
	transition: all .2s ease;
}

div.openid-connect-login-button a.button:hover{
    background-color: var(--wp--preset--color--primary-200);
    border-radius: var(--wp--custom--border--radius--small);
    border-color: var(--wp--preset--color--primary-200);
    border-width: 3px;
    border-style: solid;
    color: white;
    font-family: inherit;
    font-size: var(--wp--preset--font-size--medium);
    font-weight: var(--wp--custom--font-weight--medium);
    line-height: inherit;
    padding-top: .6rem;
    padding-right: 1.2rem;
    padding-bottom: .6rem;
    padding-left: 1.2rem;
    text-decoration: none;
	transition: all .2s ease;
}

div.kennisbank li.wp-block-post div.taxonomy-post_tag a{
  color: var(--wp--preset--color--dark-200);
  background: var(--wp--preset--color--light-200);
  text-decoration: none;
  pointer-events: none;
  font-size: 15px;
  padding: 2px 5px;
  border-radius: 2px;
  opacity: .9;
}

div.kennisbank li.wp-block-post,
div.downloads div.wp-block-file{
  position: relative;
}

div.kennisbank li.wp-block-post h3 a::after{
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}


div.kennisbank li.wp-block-post h3 a::after,
div.downloads div.wp-block-file a::after{
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}


div.kennisbank li.wp-block-post a:hover,
div.downloads div.wp-block-file a:hover{
  text-decoration: underline;
}


/* FAQ */
summary{
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  cursor: pointer;
  position: relative;
}

summary::after {
  content: '';
  display: inline-block;
  width: 36px;
  height: 36px;
  background-image: url('data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2016%2016%22%3E%3Cpath%20d%3D%22M12%206L8%2010L4%206%22%20fill%3D%22none%22%20stroke%3D%22%23D3D3D3%22%20stroke-width%3D%221%22%2F%3E%3C%2Fsvg%3E');
  background-size: contain;
  background-repeat: no-repeat;
  transition: transform 0.2s ease-out;
  flex-shrink: 0;
}

details[open] summary::after {
  transform: rotate(180deg);
}


/* Downloads */
div.wp-block-file{
  justify-content: space-between;
  display: flex;
  align-items: center;
}

div.wp-block-file a{
    outline: none;
    border: none;
    font-size: var(--wp--preset--font-size--normal) !important;
    text-decoration: none;
}

div.wp-block-file a:hover{
  outline: none;
  border: none;
  text-decoration: underline;
}

div.wp-block-file .wp-block-file__button{
  padding: 0;
  background: none;
  outline: none;
}

div.wp-block-group.downloads p{
	width: 100%;
}

/* heade image */
@media only screen and (min-width: 782px) {
  .header-image img {
    max-width: 190% !important;
  }
	div.alignfull:has(.header-image){
		overflow: hidden;
	}
}


@media only screen and (min-width: 1000px) {
  .header-image img {
	  aspect-ratio: 22/10 !important;
  }
}

/* Read more links */
a.wp-block-post-excerpt__more-link{
background: var(--wp--preset--color--light-300);
  padding: 8px 15px;
  margin-top: 10px;
  text-decoration: none;
  border-radius: 5px;
}

a.wp-block-post-excerpt__more-link:hover{
	text-decoration: underline;
}


/* Navbar underline */

:root :where(.wp-block-navigation a:where(:not(.wp-element-button))) {
  text-decoration-thickness: 1px;
}
:root :where(.wp-block-navigation .current-menu-item a:where(:not(.wp-element-button))) {
  text-decoration-color: var(--wp--preset--color--light-200);
  text-decoration-thickness: 1px;
}

:root :where(.has-light-200-background-color .wp-block-navigation .current-menu-item a:where(:not(.wp-element-button))) {
  text-decoration-color: var(--wp--preset--color--dark-200);
}

:root :where(.has-light-200-background-color .wp-block-navigation a:where(:not(.wp-element-button)):hover) {
  text-decoration-color: var(--wp--preset--color--dark-200);
}

.wp-block-navigation div.wp-block-button a{
  font-size: 1em;
  padding: 7px 10px;
}


/* Category selector */
body.category div.category-selector a{
  	background-color: white !important;
 	color: var(--wp--preset--color--primary-200) !important;
}

:root :where( div.category-selector .wp-block-button__link) {
	border-width: 2px !important;
}

body.category-nieuws div.category-selector-nieuws a{
  	background-color: var(--wp--preset--color--primary-200) !important;
  	color: white !important;
}

body.category-techniek div.category-selector-techniek a{
  	background-color: var(--wp--preset--color--primary-200) !important;
  	color: white !important;
}

body.category-klantcases div.category-selector-klantcases a{
  	background-color: var(--wp--preset--color--primary-200) !important;
  	color: white !important;
}

div.category-selector div a:hover{
  	background-color: var(--wp--preset--color--primary-100) !important;
	border-color: var(--wp--preset--color--primary-100) !important;
  	color: white !important;
}

/* Breadcrumbs */

div.yoast-breadcrumbs{
  font-size: 17px;
}

div.yoast-breadcrumbs a{
  color: var(--wp--preset--color--dark-200);
  text-decoration: none;
}

div.yoast-breadcrumbs a:hover{
  text-decoration: underline;
}

div.yoast-breadcrumbs span a:hover i{
  color: var(--wp--preset--color--primary-200);
}

div.yoast-breadcrumbs span.breadcrumb_last{
  opacity: .5
}

div.yoast-breadcrumbs i.fa-chevron-right{
  font-size: 14px;
  margin: 0 5px;
}

/* Single post meta */
div.taxonomy-category a,
div.wp-block-post-date{
  display: inline-block;
  background: var(--wp--preset--color--light-200);
  color: var(--wp--preset--color--dark-200);
  padding: 5px 18px;
  border-radius: 20px;
  font-size: 15px;
  font-weight: var(--wp--custom--font-weight--normal);
  text-decoration: none;
	pointer-events: none;
	margin-right: 5px;
}
span.wp-block-post-terms__separator{
	display: none;
}

/* Ninja */

footer nf-fields-wrap {
display: flex;
}

footer div.nf-form-content{
  padding: 0;
}
footer div.nf-cell{
  padding: 0 !important;
}
footer div.nf-form-content input[type="email"]{
  border-radius: 5px 0px 0px 5px;
  outline: 0 !important;
   font-family: var(--wp--preset--font-family--outfit);
  font-weight: var(--wp--custom--font-weight--normal);
  border: none;
}
footer div.nf-form-content input[type="submit"]{
  border-radius: 0px 5px 5px 0px;
  background-color: var(--wp--preset--color--tertiary-200);
  font-family: var(--wp--preset--font-family--outfit);
  font-weight: var(--wp--custom--font-weight--medium);
  transition: all .2s ease;
}

footer div.nf-form-content input[type="submit"]:hover{
  background-color: var(--wp--preset--color--tertiary-300);
  color: white;
  transition: all .2s ease;
}

footer div.nf-form-fields-required{
  display: none;
}

footer div.nf-after-field{
  display: none;
}

footer div.nf-error-msg{
	display: none;
}

footer div.nf-response-msg{
  font-size: var(--wp--preset--font-size--small)
}

.nf-error.field-wrap .nf-field-element::after {
  background: var(--wp--preset--color--danger-200) !important; 
}

div.list-select-wrap select,
div.listcountry-wrap select{
  background-color: var(--wp--preset--color--light-300) !important;
  color: var(--wp--preset--color--dark-300) !important;
	border: none;
}

div.list-select-wrap div::after,
div.listcountry-wrap div::after{
  color: var(--wp--preset--color--dark-300) !important;
}